Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1065744 - systemd-fstab-generator doesn't understand squashfs-on-loop entries and prevents auto-mounting them
Summary: systemd-fstab-generator doesn't understand squashfs-on-loop entries and preve...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: systemd
Version: 7.0
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: systemd-maint
QA Contact: Petr Sklenar
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-16 16:13 UTC by Laszlo Ersek
Modified: 2014-06-18 00:37 UTC (History)
3 users (show)

Fixed In Version: systemd-208-4.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-06-13 10:32:11 UTC


Attachments (Terms of Use)

Description Laszlo Ersek 2014-02-16 16:13:05 UTC
Description of problem:
I have two squashfs files in my /etc/fstab, and they are to be auto-mounted when the system starts. It used to work with RHEL-6, and I also *think* it used to work with earlier (of course unreleased) builds of RHEL-7.

Version-Release number of selected component (if applicable):
systemd-208-2.el7.x86_64

Contents of /etc/fstab (the two relevant entries):

/home/virt-images/tools/gcc-linaro-aarch64-linux-gnu-4.8-2013.09_linux.squashfs  /mnt/arm-cross      squashfs  ro,loop  0  0
/home/lacos/Public/list-archives.gzip.squashfs                                   /mnt/list-archives  squashfs  ro,loop  0  0

dmesg:

[   10.813629] systemd-fstab-generator[710]: Checking was requested for "/home/virt-images/tools/gcc-linaro-aarch64-linux-gnu-4.8-2013.09_linux.squashfs", but it is not a device.
[   10.813680] systemd-fstab-generator[710]: Checking was requested for "/home/lacos/Public/list-archives.gzip.squashfs", but it is not a device.

After the system boots and I log in, I can successfully issue "mount -a", and these are mounted. They should be auto-mounted at boot time too.

Comment 2 Lukáš Nykrýn 2014-02-17 11:44:08 UTC
There is a wrongly applied patch, which caused that.

Comment 6 Ludek Smid 2014-06-13 10:32:11 UTC
This request was resolved in Red Hat Enterprise Linux 7.0.

Contact your manager or support representative in case you have further questions about the request.


Note You need to log in before you can comment on or make changes to this bug.